Get open tasks burndown

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
GET /data/tasks/open-tasks/burndown

Return burndown aggregates for tasks from open projects matching the same filters as the open tasks route. It includes the total amount and estimation, the schedule bounds (task start and due dates, project dates as fallback) and the amount of tasks done per day.

Query parameters

  • project_id string(uuid)

    Filter tasks on given project ID

  • task_status_id string(uuid)

    Filter tasks on given task status ID

  • task_type_id string(uuid)

    Filter tasks on given task type ID

  • person_id string(uuid)

    Filter tasks on given person ID

  • studio_id string(uuid)

    Filter tasks on given studio ID

  • department_id string(uuid)

    Filter tasks on given department ID

  • start_date string(date)

    Filter tasks posterior to given start date

  • due_date string(date)

    Filter tasks anterior to given due date

  • priority integer

    Filter tasks on given priority

Responses

  • 200 application/json

    Burndown aggregates for the filtered tasks

    Hide response attributes Show response attributes object
    • total integer

      Total number of tasks

    • total_estimation number

      Total estimation of tasks in minutes

    • start_date string(date)

      First task start date

    • end_date string(date)

      Last task due date

    • done_by_day array[object]
      Hide done_by_day attributes Show done_by_day attributes object
      • date string(date)
      • done integer
      • done_estimation number
  • 400

    Bad request

GET /data/tasks/open-tasks/burndown
curl \
 --request GET 'http://api.example.com/data/tasks/open-tasks/burndown' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "total": 42,
  "total_estimation": 42.0,
  "start_date": "2026-05-04",
  "end_date": "2026-05-04",
  "done_by_day": [
    {
      "date": "2026-05-04",
      "done": 42,
      "done_estimation": 42.0
    }
  ]
}